### Enumeration

# Rsvg HandleFlags

since: 2.40.3

#### Declaration

    flags Rsvg.HandleFlags

#### Description [src]

Configuration flags for an `RsvgHandle`. Note that not all of `RsvgHandle`‘s constructors let you specify flags. For this reason, `rsvg_handle_new_from_gfile_sync()` and `rsvg_handle_new_from_stream_sync()` are the preferred ways to create a handle.

Available since: 2.40.3

#### Members

`RSVG_HANDLE_FLAGS_NONE`

  No flags are set.

  - Value: `0`
  - Available since: 2.40.3
`RSVG_HANDLE_FLAG_UNLIMITED`

  Disable safety limits in the XML parser. Libxml2 has several limits designed to keep malicious XML content from consuming too much memory while parsing. For security reasons, this should only be used for trusted input! Since: 2.40.3.

  - Value: `1`
  - Available since: 2.40.3
`RSVG_HANDLE_FLAG_KEEP_IMAGE_DATA`

  Use this if the Cairo surface to which you are rendering is a PDF, PostScript, SVG, or Win32 Printing surface. This will make librsvg and Cairo use the original, compressed data for images in the final output, instead of passing uncompressed images. For example, this will make the a resulting PDF file smaller and faster. Please see the Cairo documentation for details.

  - Value: `2`
  - Available since: 2.40.3